Package twisted :: Package spread :: Module util :: Class LocalAsRemote

[frames | no frames]

## Class LocalAsRemote

A class useful for emulating the effects of remote behavior locally.

Method Summary
| ``callRemote`(self, name, *args, **kw)` Call a specially-designated local method.
| `remoteMethod(self, name)`

Class Variable Summary
`int` | `reportAllTracebacks` = 1

Method Details

### callRemote(self, name, *args, **kw)

Call a specially-designated local method.

self.callRemote('x') will first try to invoke a method named sync_x and return its result (which should probably be a Deferred). Second, it will look for a method called async_x, which will be called and then have its result (or Failure) automatically wrapped in a Deferred.

Class Variable Details

### reportAllTracebacks

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:19 2004 | http://epydoc.sf.net